Skip to main content
PATCH
/
credential
/
{credential_id}
Update a credential
curl --request PATCH \
  --url https://api.example.com/credential/{credential_id} \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '{
  "data": {}
}'
import requests

url = "https://api.example.com/credential/{credential_id}"

payload = { "data": {} }
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};

fetch('https://api.example.com/credential/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {},
  "id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "user_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

credential_id
string
required

Body

application/json

Request body for updating an existing credential.

data
Data · object
required

New credential payload.

Response

Successful Response

The credential model used for storing credentials.

data
Data · object
required
id
string

Unique identifier for the credential.

updated_at
string<date-time>
created_at
string<date-time>
user_id
string